forga Ansible base playbook
===========================


💡 Idea
-------

Get info and set basic config for _Debian_ and _Ubuntu_ distrib.

Suitable for server and workstation.


✨ Features
-----------

|   playbook                                    |   purpose                                                             |
|   :--------------------------------------:    |   :--------------------------------------------------------------:    |
| [`become_user_cfg.yml`](become_user_cfg.yml)  |   Set `sudo` without password for `become_user` access                |
| [`host_info.yml`](host_info.yml)              |   Return message with distribution full name & version                |
| [`shutdown.yml`](shutdown.yml)                |   Shutdown target in 10 min                                           |
| [`whoami.yml`](whoami.yml)                    |   Return message with `ansible_user` & `become_user` (`sudo` method)  |


🚀 Quickstart
-------------

1. Setup your `inventory` file from [`inventory.sample`](inventory.sample) :
    - `make inventory_generation`
1. Run `host_info` playbook to `<group_foo>` & `<group_bar>` :
    - `ansible-playbook host_info.yml -i inventory -e host_list=<group_foo>:<group_bar>`
